Swift REPL cannot import UIKit

Number:rdar://17409374 Date Originated:06.21.2014
Status:Open Resolved:
Product:Developer Tools Product Version:Xcode 6 Beta 5
Classification:Serious Bug Reproducible:Always
The Swift CLI REPL cannot import UIKit.

Steps to Reproduce:
1. Launch the Swift REPL by executing `xcrun swift` at the command line. (See the "Additional Notes" section for alternate invocations tried.)
2. Type "import UIKit" and press enter.

Expected Results:
The REPL would accept the command without error.

Actual Results:
The REPL prints "error: no such module 'UIKit".

Xcode 6 Beta 2, OS X 10.9.3

This error also occurs if the REPL is launched using "xcrun swift -sdk /Applications/Xcode6-Beta2.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS8.0.sdk/" or "xcrun swift -sdk /Applications/Xcode6-Beta2.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator8.0.sdk/".




Workaround via standalone lldb.

See here: http://stackoverflow.com/a/43478888/3195266

Please note: Reports posted here will not necessarily be seen by Apple. All problems should be submitted at bugreport.apple.com before they are posted here. Please only post information for Radars that you have filed yourself, and please do not include Apple confidential information in your posts. Thank you!